"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717920>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae47179c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717a60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717b00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717ba0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717c40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717ce0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717d80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717e20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717ec0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae4717f60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f80e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8180>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8220>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f82c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8360>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8400>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f84a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8540>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f85e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8680>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8720>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f87c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8860>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8900>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f89a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8a40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8ae0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8b80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8c20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8cc0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8d60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8e00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8ea0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8f40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f8fe0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9080>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9120>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f91c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9260>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9300>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f93a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9440>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f94e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9580>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9620>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f96c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9760>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9800>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f98a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9940>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f99e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9a80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9b20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9bc0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9c60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9d00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9da0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9e40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34f9f80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa020>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa0c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa200>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa2a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa340>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa3e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa480>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa520>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa5c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa660>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa700>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa7a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa840>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa8e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fa980>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34faa20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34faac0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fac00>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fab60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34faca0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fad40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7ffae34fade0>)]
name: str = 'fr_HOCCN'
